Ξ welcome to cryptostorm's member forums ~ you don't have to be a cryptostorm member to post here Ξ
Ξ any OpenVPN configs found on the forum are likely outdated. For the latest, visit here or GitHub Ξ
Ξ If you're looking for tutorials/guides, check out the new https://cryptostorm.is/#section6 Ξ

windows xp

cryptofree: full-bore cryptostorm protection... for free! Capped to 1 megabit down / 500kb up, it's a great way to use cryptostorm in a pinch. Play nice & be safe, ok?

Topic Author
freegain

windows xp

Post by freegain » Thu Aug 16, 2018 12:17 am

Hi. It is possible to use cryptofree on windows xp? i've tried widget and openvpn configs, but can't run\connect on my OS.

User avatar

df
Site Admin
Posts: 414
Joined: Thu Jan 01, 1970 5:00 am

Re: windows xp

Post by df » Wed Jan 09, 2019 10:40 pm

We no longer offer any official support for Windows XP since Microsoft stopped supporting XP in April of 2014, and OpenVPN themselves stopped supporting it early last year. In 2017, Microsoft did release security patches for the vulnerability the WannaCry ransomware exploited, but that was a major vulnerability that they needed to do something about. Most other vulnerabilities in XP are never going to be patched.

You won't be able to use our widget to connect with XP since it explicitly checks if your Windows is older than Vista, but it is still possible to connect to our servers (including Cryptofree) using an older version of OpenVPN GUI.
OpenVPN 2.4 isn't supported on XP, but the last 2.3 version is (2.3.18).
If you're using a 64-bit version of XP, you can find OpenVPN GUI 2.3.18 at http://build.openvpn.net/downloads/rele ... x86_64.exe
or if you're using a 32-bit version of XP, that installer is at http://build.openvpn.net/downloads/rele ... p-i686.exe

Once you have either of those installed, the only configs of ours that'll work with it are the RSA ones from https://cryptostorm.is/configs/rsa/
The Cryptofree RSA configs are at https://cryptostorm.is/configs/cryptofr ... a-udp.ovpn for UDP and https://cryptostorm.is/configs/cryptofr ... a-tcp.ovpn for TCP

Keep in mind that using such an old version of OpenVPN (and OpenSSL) will downgrade the security of your VPN session to --tls-cipher TLS-DHE-RSA-WITH-AES-256-CBC-SHA and --cipher AES-256-CBC, but you will still get 8192-bit DH params (--dh), and 521-bit EC (~15360-bit RSA) for the CA (--ca), and 8192-bit RSA for the TLS certificate (--cert).
That combined cryptography is still considered very secure, but it's nowhere near the best available that you would get with a more recent version of OpenVPN/OpenSSL.

Post Reply